/*Template taken from mkdocs-material docs, and svg and color taken from github icons*/
:root {
    --md-admonition-icon--important: url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 16 16"><path d="M0 1.75C0 .784.784 0 1.75 0h12.5C15.216 0 16 .784 16 1.75v9.5A1.75 1.75 0 0 1 14.25 13H8.06l-2.573 2.573A1.458 1.458 0 0 1 3 14.543V13H1.75A1.75 1.75 0 0 1 0 11.25Zm1.75-.25a.25.25 0 0 0-.25.25v9.5c0 .138.112.25.25.25h2a.75.75 0 0 1 .75.75v2.19l2.72-2.72a.749.749 0 0 1 .53-.22h6.5a.25.25 0 0 0 .25-.25v-9.5a.25.25 0 0 0-.25-.25Zm7 2.25v2.5a.75.75 0 0 1-1.5 0v-2.5a.75.75 0 0 1 1.5 0ZM9 9a1 1 0 1 1-2 0 1 1 0 0 1 2 0Z"/></svg>');
    --md-admonition-icon--caution: url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 16 16"><path d="M4.47.22A.749.749 0 0 1 5 0h6c.199 0 .389.079.53.22l4.25 4.25c.141.14.22.331.22.53v6a.749.749 0 0 1-.22.53l-4.25 4.25A.749.749 0 0 1 11 16H5a.749.749 0 0 1-.53-.22L.22 11.53A.749.749 0 0 1 0 11V5c0-.199.079-.389.22-.53Zm.84 1.28L1.5 5.31v5.38l3.81 3.81h5.38l3.81-3.81V5.31L10.69 1.5ZM8 4a.75.75 0 0 1 .75.75v3.5a.75.75 0 0 1-1.5 0v-3.5A.75.75 0 0 1 8 4Zm0 8a1 1 0 1 1 0-2 1 1 0 0 1 0 2Z"/></svg>');
  }
  
  .md-typeset .admonition.important,
  .md-typeset details.important {
    border-color: rgb(130, 80, 223);
  }
  
  .md-typeset .important>.admonition-title,
  .md-typeset .important>summary {
    background-color: rgba(130, 80, 223, 0.1);
  }
  
  .md-typeset .important>.admonition-title::before,
  .md-typeset .important>summary::before {
    background-color: rgb(130, 80, 223);
    -webkit-mask-image: var(--md-admonition-icon--important);
    mask-image: var(--md-admonition-icon--important);
  }
  
  .md-typeset .admonition.caution,
  .md-typeset details.caution {
    border-color: rgb(207, 34, 46);
  }
  
  .md-typeset .caution>.admonition-title,
  .md-typeset .caution>summary {
    background-color: rgba(207, 34, 46, 0.1);
  }
  
  .md-typeset .caution>.admonition-title::before,
  .md-typeset .caution>summary::before {
    background-color: rgb(207, 34, 46);
    -webkit-mask-image: var(--md-admonition-icon--caution);
    mask-image: var(--md-admonition-icon--caution);
  }
  